Feature checkbox lists in perferences can neither be modified nor be scrolled
10/11/2019 12:15 PM - Andreas Kohlbecker
Severity: normal Found in Version: Release 5.10
Description

It is not possible to change the state or to scroll the list of checkbox items in the settings for Features, Languages
Tested in KDE 5.16.5

e GTK2 Themes Breeze and Raleigh
¢ GTK3 Themes Breeze and Emacs

So it seems not to be a problem with in GTK or the theme.
Scroll Problem:

The solution to this seems to scroll the whole preference panel instead of the checkbox list itself. In the eclipse preferences it is
throughout implemented like this. See for example General -> Startup and Shutdown, Java -> Debug -> step filters

Related issues:
Related to EDIT - bug #8601: checkbox lists in preferences - button to expan... Feedback

History

#1 - 10/11/2019 03:46 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Katja Luther

This is probably mentioned in some "remaining preferences issues" ticket. At least it is known. Can you please check?

#2 - 10/17/2019 05:18 PM - Andreas Kohlbecker
- Description updated

- Severity changed from normal to critical

#3 - 10/17/2019 05:20 PM - Andreas Kohlbecker

| suggest solving this issue quite soon since it blocks from setting up the editor for effective use.

#4 - 10/17/2019 05:26 PM - Andreas Kohlbecker

- Related to bug #8601: checkbox lists in preferences - button to expand, collapse, ... not functional added

#5 - 10/17/2019 05:27 PM - Andreas Kohlbecker

- Subject changed from Feature checkbox lists in perferences can not be scrolled to Feature checkbox lists in perferences can neither be modified
nor not be scrolled

#6 - 10/17/2019 05:27 PM - Andreas Kohlbecker

- Subject changed from Feature checkbox lists in perferences can neither be modified nor not be scrolled to Feature checkbox lists in perferences
can neither be modified nor be scrolled

- Description updated

#7 - 10/17/2019 05:29 PM - Andreas Kohlbecker

- Description updated

04/25/2024 1/2




#8 - 10/18/2019 10:56 AM - Katja Luther

Do you select "Use local settings"? Otherwise the checkbox list is disabled.
That the list is frozen in a strange state is already known.

#9 - 10/18/2019 11:17 AM - Andreas Kohlbecker

Katja Luther wrote:

Do you select "Use local settings"? Otherwise the checkbox list is disabled.

You are right! This is the clue is need. Switching to "Use local settings" enabled the checkbox list.

The checkbox list should be set to disabled state or read only if this state exists in rcp, so that the user can recognize that there must be a reason why
the checkbox states can not be changed. Is there such state which causes the check boxes to be 'greyed out'?

That the list is frozen in a strange state is already known.
Can you reference this ticket from here?

#10 - 10/21/2019 11:20 AM - Andreas Miiller

- Severity changed from critical to normal

As discussed in #note-8 and #note-9 this is not critical because not unfucntional, but it needs better Ul handling to make clear why it is frozen (or even
better show completely different Ul if "use default settings" is selected as we do not need checkboxes then.

Set back to "normal”

#11 - 10/22/2019 12:26 PM - Andreas Kohlbecker

Set back to "normal”

Agreed!
But, freezing the checklist panes is really ugly. You can't even scroll the checklists, so it is completely useless to show them at all.
| suggest two solutions:
A)
¢ Disable the checkboxes so that they are greyed out, don't freeze the panel
B)

¢ only show a hint: The default configuration is currenlty being used. To enable defining an individual (local) configuration, please choose "Use
local setting" below. The default configuration can be modified by project managers in the "Server-sided Settings"

Personally | prefer the Option "B" since this is in good conformity with the, appearance of the preferences page when the Server-side Preferences are
set to "Do not allow override"

#12 - 10/22/2019 01:50 PM - Andreas Miiller

| also agree with solution B. But maybe we can add a comma separated label list of the (server side) selected terms. Maybe truncated, if the list is too
long.
